row/rows

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

row/rows
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Assignment & Indexing operation on arrays

Gets a reference of a row in a 2D af::array. More...

array::array_proxy | row (int index)
| Returns a reference to a row. More...
const array::array_proxy | row (int index) const
| Returns a reference to a row. More...
array::array_proxy | rows (int first, int last)
| Returns a reference to sequence of rows. More...
const array::array_proxy | rows (int first, int last) const
| Returns a reference to sequence of rows. More...

## Detailed Description

Gets a reference of a row in a 2D af::array.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

## Function Documentation

array::array_proxy row | ( | int | index | ) |

Returns a reference to a row.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | index | is the index of the row to be returned

Returns
  a reference to a row defined by `index`

Examples:
  helloworld.cpp, and integer.cpp.

const array::array_proxy row | ( | int | index | ) | const

Returns a reference to a row.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | index | is the index of the row to be returned

Returns
  a reference to a row defined by `index`

array::array_proxy rows | ( | int | first,
|  | int | last
| ) |  |

Returns a reference to sequence of rows.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | first | is the index of the row to be returned
  [in] | last | is the index of the row to be returned

Returns
  a reference to a set of rows

const array::array_proxy rows | ( | int | first,
|  | int | last
| ) |  | const

Returns a reference to sequence of rows.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | first | is the index of the row to be returned
  [in] | last | is the index of the row to be returned

Returns
  a reference to a set of rows